Subject: Re: [mpls] [Editorial Errata Reported] RFC7439 (4595)

From: Loa Andersson <[email-masked]>
Date: Tue, 2 Feb 2016 13:17:25 +0800

Working Group, Deborah,

This errata has been posted four two weeks, with no one speaking
up against it.

We've consulted with the authors, they agree that is is correct.

I think we are ready to approve it.

Deborah,

Can you mark the errata approved.

/Loa
mpls wg co-chair

On 2016-01-16 04:08, RFC Errata System wrote:
> The following errata report has been submitted for RFC7439,
> "Gap Analysis for Operating IPv6-Only MPLS Networks".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=7439&eid=4595
>
> --------------------------------------
> Type: Editorial
> Reported by: Adrian Farrel <[email-masked]>
>
> Section: 3.5
>
> Original Text
> -------------
>     RFC 3811 [RFC3811] defines the textual conventions for MPLS.  These
>     lack support for IPv6 in defining MplsExtendedTunnelId and
>     MplsLsrIdentifier.  These textual conventions are used in the MPLS-TE
>     MIB specification [RFC3812], the GMPLS-TE MIB specification [RFC4802]
>     and the FRR extension [RFC6445].  "Definitions of Textual Conventions
>     (TCs) for Multiprotocol Label Switching (MPLS) Management" [MPLS-TC]
>     tries to resolve this gap by marking this textual convention as
>     obsolete.
>
> Corrected Text
> --------------
>     RFC 3811 [RFC3811] defines the textual conventions for MPLS.  These
>     lack support for IPv6 in defining MplsExtendedTunnelId.  This textual
>     conventions is used in the MPLS-TE MIB specification [RFC3812], the
>     GMPLS-TE MIB specification [RFC4802], and the FRR extension
>     [RFC6445].  "Definitions of Textual Conventions (TCs) for
>     Multiprotocol Label Switching (MPLS) Management" [MPLS-TC] tries
>     to resolve this gap by marking this textual convention as obsolete.
>
> Notes
> -----
> Section 3.5 comments about MplsLsrIdentifier.
> It says that RFC 3811 "lack[s] support for IPv6 in defining MplsExtendedTunnelId and MplsLsrIdentifier." It also says that "[MPLS-TC] tries to resolve this gap by marking this textual convention as obsolete."
>
> Note that the second quote refers to just one TC.
>
> Looking at 3811, 5036, and (most importantly) 7552, it seems to me that the LSR Identifier is *always* a 32 bit quantity regardless of whether the LDP system is v4-only, v4/v6, or v6-only.
>
> Furthermore, draft-manral-mpls-rfc3811bis (i.e., [MPLS-TC]) clearly shows no
> change to MplsLsrIdentifier while marking MplsExtendedTunnelId as obsolete.
>
> Notwithstanding that draft-manral-mpls-rfc3811bis appears to have been abandoned in state "candidate for WG adoption", it looks to me that RFC 7439 has an error we could call a typo.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC7439 (draft-ietf-mpls-ipv6-only-gap-04)
> --------------------------------------
> Title               : Gap Analysis for Operating IPv6-Only MPLS Networks
> Publication Date    : January 2015
> Author(s)           : W. George, Ed., C. Pignataro, Ed.
> Category            : INFORMATIONAL
> Source              : Multiprotocol Label Switching
> Area                : Routing
> Stream              : IETF
> Verifying Party     : IESG
>